CountedBufferedReader (BioJava-1.5-beta API)
Keywords: org.biojava.utils.io.CountedBufferedReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.io
Class CountedBufferedReader

    java.lang.Object
      java.io.Reader
          java.io.BufferedReader
              org.biojava.utils.io.CountedBufferedReader

All Implemented Interfaces:
  Closeable, Readable

    public class CountedBufferedReader

extends BufferedReader

Author:
  Thomas Down

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`CountedBufferedReader(Reader stream)`

Method Summary
`void` | `close()`
`long` | `getFilePointer()`
`void` | `mark(int limit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(char[] cbuf)`
`int` | `read(char[] cbuf, int off, int len)`
`String` | `readLine()`
`boolean` | `ready()`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CountedBufferedReader

    public CountedBufferedReader(Reader stream)

Method Detail

### getFilePointer

    public long getFilePointer()

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `BufferedReader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `BufferedReader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf)
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `BufferedReader`
  Throws:
    `IOException`

### ready

    public boolean ready()
                  throws IOException

  Overrides:
    `ready` in class `BufferedReader`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `BufferedReader`
  Throws:
    `IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `BufferedReader`

### mark

    public void mark(int limit)
              throws IOException

  Overrides:
    `mark` in class `BufferedReader`
  Throws:
    `IOException`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `BufferedReader`
  Throws:
    `IOException`

### readLine

    public String readLine()
                    throws IOException

  Overrides:
    `readLine` in class `BufferedReader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD